## gcc-5-cross 12ubuntu1

=== debian/changelog ===
gcc-5-cross (12ubuntu1) wily; urgency=medium

  * Build using 5.2.1-22ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Oct 2015 00:38:39 +0200

gcc-5-cross (12) unstable; urgency=medium

  * Build using 5.2.1-22.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2015 14:30:25 +0200

gcc-5-cross (11ubuntu2) wily; urgency=medium

  * Build using 5.2.1-20ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2015 16:37:38 +0200

gcc-5-cross (11) unstable; urgency=medium

  * Build using 5.2.1-20.

 -- Matthias Klose <doko@debian.org>  Fri, 02 Oct 2015 12:34:03 +0200

gcc-5-cross (10ubuntu3) wily; urgency=medium

  * Fix building gnat packages.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Oct 2015 13:58:26 +0200

gcc-5-cross (10ubuntu2) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -dbg-cross packages.
    - Regenerate the control file.
    - Don't build the mips and mipsel cross compilers.
  * Build using 5.2.1-19ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Oct 2015 12:10:40 +0200

gcc-5-cross (10) unstable; urgency=medium

  * Build using 5.2.1-19.
  * Build gnat cross compiler (YunQiang Su). Closes: #798860.
  * Build cross compilers on x32.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Oct 2015 08:53:26 +0200

gcc-5-cross (9ubuntu2) wily; urgency=medium

  * Build s390x cross compilers.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 04 Sep 2015 20:07:48 +0200

gcc-5-cross (9ubuntu1) wily; urgency=medium

  * Build using 5.2.1-16ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 Sep 2015 22:27:33 +0200

gcc-5-cross (9) unstable; urgency=medium

  * Build using 5.2.1-16.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Sep 2015 22:23:10 +0200

gcc-5-cross (8ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -dbg-cross packages.
    - Regenerate the control file.
  * Build using 5.2.1-12ubuntu1.
  * Don't build the mips and mipsel cross compilers.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 01 Aug 2015 11:01:07 +0200

gcc-5-cross (8) unstable; urgency=medium

  * Build using 5.2.1-13.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2015 23:36:07 +0200

gcc-5-cross (7) unstable; urgency=medium

  * Build using 5.1.1-13.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jul 2015 21:42:45 +0200

gcc-5-cross (6) unstable; urgency=medium

  [ Matthias Klose ]
  * Build using 5.1.1-11.
  * Keep -cross packages installable when versions mismatch.

  [ YunQiang Su ]
  * Add support to build packages for mips, mipsel, mips64, mips64el.
    Building packages for mips64, mips64el disabled by default.

 -- Matthias Klose <doko@debian.org>  Tue, 16 Jun 2015 23:56:16 +0200

gcc-5-cross (5ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Build -dbg-cross packages.
    - Regenerate the control file.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 May 2015 22:15:06 +0200

gcc-5-cross (5) unstable; urgency=medium

  * Build using 5.1.1-8.

 -- Matthias Klose <doko@debian.org>  Wed, 27 May 2015 20:22:50 +0200

gcc-5-cross (4) unstable; urgency=medium

  * Build using 5.1.1-6.
  * Keep ARM32 multilib packages in the control file when requested.
  * Fix generating the cross version on AArch64.

 -- Matthias Klose <doko@debian.org>  Tue, 19 May 2015 18:15:45 +0200

gcc-5-cross (3ubuntu4) wily; urgency=medium

  * Align the cross version across all architectures.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 May 2015 10:23:30 +0200

gcc-5-cross (3ubuntu3) wily; urgency=medium

  * Fix generating the cross version on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 May 2015 15:06:09 +0200

gcc-5-cross (3ubuntu2) wily; urgency=medium

  * Target armel on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 May 2015 21:00:50 +0200

gcc-5-cross (3ubuntu1) wily; urgency=medium

  * Keep ARM32 multilib packages in the control file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 May 2015 12:01:29 +0200

gcc-5-cross (3) unstable; urgency=medium

  * Build cross compiler packages for GCC 5.
  * Build the exact same compiler without dropping any patches from
    the native build.
  * Build for any frontend that is currently built as a native compiler.
    Leaving out gnat as a work item.
  * Build packages that can be built on the buildds.
  * Initial upload. Closes: #784079.

 -- Matthias Klose <doko@debian.org>  Wed, 13 May 2015 22:17:42 +0200
