=== debian/control ===
Source: gcc-5-cross
Section: devel
Priority: extra
Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.6
Build-Depends: gcc-5-source (>= 5.2.1-22~), binutils-multiarch (>= 2.25.1),
  autoconf2.64, autogen, bison (>= 1:2.3),
  chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
  gperf (>= 3.0.1), 
  binutils-s390x-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-powerpc64le-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-powerpc-linux-gnu (>= 2.25.1) [amd64 i386 x32 ppc64el], binutils-aarch64-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-arm-linux-gnueabihf (>= 2.25.1) [amd64 i386 x32 arm64], binutils-arm-linux-gnueabi (>= 2.25.1) [amd64 i386 x32 arm64],
  libc6-dev-s390x-cross (>= 2.19) [amd64 i386 x32], libc6-dev-ppc64el-cross (>= 2.19) [amd64 i386 x32], libc6-dev-powerpc-cross (>= 2.19) [amd64 i386 x32 ppc64el], libc6-dev-arm64-cross (>= 2.19) [amd64 i386 x32], libc6-dev-armhf-cross (>= 2.19) [amd64 i386 x32 arm64], libc6-dev-armel-cross (>= 2.19) [amd64 i386 x32 arm64], libc6-dev-armhf-cross [amd64 i386 x32 arm64], libc6-dev-s390-s390x-cross [amd64 i386 x32], libc6-dev-s390-s390x-cross [amd64 i386 x32], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
  libisl-dev (>= 0.14-1~), libmpc-dev,
  libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
  patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
  gcj-5-jdk,
  gccgo-5,
  gnat-5,
  xz-utils, zlib1g-dev, python3
Build-Conflicts: gcc-multilib,
  libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
Homepage: http://gcc.gnu.org/

Package: gcc-5-cross-base
Architecture: all
Section: devel
Priority: extra
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (library base package)
 This package contains files common to all libraries
 contained in the GNU Compiler Collection (GCC).

Package: gcc-5-s390x-linux-gnu-base
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: ${misc:Depends}
Description: GCC, the GNU Compiler Collection (base package)
 This package contains files common to all languages and libraries
 contained in the GNU Compiler Collection (GCC).

Package: libgcc1-s390x-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libgcc1-s390x-dcv1
Description: GCC support library
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: libgcc-5-dev-s390x-cross
Architecture: all
Section: libdevel
Priority: extra
Recommends: ${dep:libcdev}
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), ${dep:libgcc}, ${dep:libssp}, ${dep:libgomp}, ${dep:libitm}, ${dep:libatomic}, ${dep:libbtrace}, ${dep:libasan}, ${dep:liblsan}, ${dep:libtsan}, ${dep:libubsan}, ${dep:libcilkrts}, ${dep:libvtv}${dep:libqmath}, ${dep:libunwinddev}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-5 (<< ${gcc:SplitVersion})
Description: GCC support library (development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: libgcc1-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), libgcc1-s390x-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: libgcc2-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), libgcc2-s390x-cross (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: libgcc4-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), libgcc4-s390x-cross (= ${gcc:Version}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: lib64gcc1-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), lib64gcc1-s390x-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: lib32gcc1-s390x-cross
Architecture: all
Section: devel
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), ${dep:libcbiarch}, ${misc:Depends}
Conflicts: ${confl:lib32}
Provides: lib32gcc1-s390x-dcv1
Description: GCC support library (32 bit Version)
 Shared version of the support library, a library of internal subroutines
 that GCC uses to overcome shortcomings of particular machines, or
 special needs for some languages.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: lib32gcc-5-dev-s390x-cross
Architecture: all
Section: libdevel
Priority: extra
Recommends: ${dep:libcdev}
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), ${dep:libgccbiarch}, ${dep:libsspbiarch}, ${dep:libgompbiarch}, ${dep:libitmbiarch}, ${dep:libatomicbiarch}, ${dep:libbtracebiarch}, ${dep:libasanbiarch}, ${dep:liblsanbiarch}, ${dep:libtsanbiarch}, ${dep:libubsanbiarch}, ${dep:libvtvbiarch}, ${dep:libcilkrtsbiarch}, ${dep:libqmathbiarch}, ${shlibs:Depends}, ${misc:Depends}
Replaces: gcc-5-multilib (<< ${gcc:SplitVersion})
Description: GCC support library (32 bit development files)
 This package contains the headers and static library files necessary for
 building C programs which use libgcc, libgomp, libquadmath, libssp or libitm.

Package: lib32gcc1-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), lib32gcc1-s390x-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: libhfgcc1-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), libhfgcc1-s390x-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: libsfgcc1-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), libsfgcc1-s390x-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: libn32gcc1-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), libn32gcc1-s390x-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: libx32gcc1-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), libx32gcc1-s390x-cross (= ${gcc:EpochVersion}), ${misc:Depends}
Description: GCC support library (debug symbols)
 Debug symbols for the GCC support library.
 .
 This package contains files for s390x architecture, for use in cross-compile
 environment.

Package: gcc-5-s390x-linux-gnu
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), cpp-5-s390x-linux-gnu (= ${gcc:Version}), binutils-s390x-linux-gnu (>= ${binutils:Version}), libgcc-5-dev-s390x-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dep:libcdev}
Suggests: ${gcc:multilib}, gcc-5-doc (>= ${gcc:SoftVersion}), gcc-5-locales (>= ${gcc:SoftVersion}), libgcc1-dbg-s390x-cross, libgomp1-dbg-s390x-cross, libitm1-dbg-s390x-cross, libatomic1-dbg-s390x-cross, libtsan0-dbg-s390x-cross, libbacktrace1-dbg-s390x-cross, libquadmath-dbg-s390x-cross, ${dep:libcloog}, ${dep:gold}
Provides: c-compiler-s390x-linux-gnu
Description: GNU C compiler
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 This package contains C cross-compiler for s390x architecture.

Package: gcc-5-multilib-s390x-linux-gnu
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), gcc-5-s390x-linux-gnu (= ${gcc:Version}), ${dep:libcbiarchdev}, ${dep:libgccbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Description: GNU C compiler (multilib files)
 This is the GNU C compiler, a fairly portable optimizing compiler for C.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: cpp-5-s390x-linux-gnu
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gcc-5-locales (>= ${gcc:SoftVersion})
Replaces: gcc-4.6 (<< 4.6.1-9)
Description: GNU C preprocessor
 A macro processor that is used automatically by the GNU C compiler
 to transform programs before actual compilation.
 .
 This package has been separated from gcc for the benefit of those who
 require the preprocessor but not the compiler.
 .
 This package contains preprocessor configured for s390x architecture.

Package: g++-5-s390x-linux-gnu
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), gcc-5-s390x-linux-gnu (= ${gcc:Version}), libstdc++-5-dev-s390x-cross (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: c++-compiler-s390x-linux-gnu, c++abi2-dev
Suggests: ${gxx:multilib}, gcc-5-doc (>= ${gcc:SoftVersion}), libstdc++6-5-dbg-s390x-cross
Description: GNU C++ compiler
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 This package contains C++ cross-compiler for s390x architecture.

Package: g++-5-multilib-s390x-linux-gnu
Architecture: amd64 i386 x32
Section: devel
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), g++-5-s390x-linux-gnu (= ${gcc:Version}), gcc-5-multilib-s390x-linux-gnu (= ${gcc:Version}), ${dep:libcxxbiarchdev}, ${shlibs:Depends}, ${misc:Depends}
Suggests: ${dep:libcxxbiarchdbg}
Description: GNU C++ compiler (multilib files)
 This is the GNU C++ compiler, a fairly portable optimizing compiler for C++.
 .
 On architectures with multilib support, the package contains files
 and dependencies for the non-default multilib architecture(s).

Package: libgomp1-s390x-cross
Section: devel
Architecture: all
Priority: extra
Depends: gcc-5-s390x-linux-gnu-base (= ${gcc:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GCC OpenMP (GOMP) support library
 GOMP is an implementation of OpenMP for the C, C++, and Fortran compilers
 in the GNU Compiler Collection.

Package: libgomp1-dbg-s390x-cross
Architecture: all
Section: debug
Priority: extra
