=== debian/rules ===
#!/usr/bin/make -f

, := ,
space :=
space +=
$(space) := 
$(space) +=

vendor := $(shell if dpkg-vendor --derives-from Ubuntu; then echo ubuntu; else echo debian; fi)

GCC_VER := $(shell dpkg-parsechangelog |egrep ^Source:|cut -f2 -d' '|cut -f2 -d'-')

ifeq ($(GCC_VER),4.8)
  MIN_VER_GCC      := 4.8.1-16
  PPA_VER_GCC      := 4.8.1
endif

ifeq ($(GCC_VER),4.9)
  MIN_VER_GCC      := 4.9.2-10ubuntu5~
  PPA_VER_GCC      := 4.9.2
endif

ifeq ($(GCC_VER),5)
  MIN_VER_GCC      := 5.2.1-22~
  PPA_VER_GCC      := 5.2.1
endif

ifndef MIN_VER_GCC
  MIN_VER_GCC      := ${GCC_VER}.0-0~
endif

DEB_NAME_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Source: \(.*\)/\1/p')
DEB_SVER_ACT     := $(shell dpkg-parsechangelog| sed -n 's/-*//; s/^Version: \(.*\)/\1/p')
DEB_VER_ACT      := $(shell /bin/sh debian/new_cross_version.sh)
CROSS_EXT       := cross$(DEB_VER_ACT)

VER_GCC        := $(shell dpkg-parsechangelog -l/usr/src/gcc-${GCC_VER}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' '|cut -f 1 -d '-')
GCC_DIR        := /usr/src/gcc-${GCC_VER}
VER_BINUTILS   := 2.25.1
MIN_VER_BINUTILS   := 2.25.1
VER_ISL      := 0.14-1~
MIN_VER_GLIBC   := 2.19

DEB_VER_GCC    := $(shell dpkg-parsechangelog -l${GCC_DIR}/debian/changelog | egrep '^Version:' | cut -f 2 -d ' ')

CROSS_BIARCH_armhf:=armel
CROSS_BIARCH_armel:=armhf
CROSS_BIARCH_powerpc:=ppc64
CROSS_BIARCH_s390x:=s390

HOST_ARCHS_armhf = amd64 i386 x32 arm64
HOST_ARCHS_armel = amd64 i386 x32 arm64
HOST_ARCHS_s390x = amd64 i386 x32
HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
HOST_ARCHS_arm64 = amd64 i386 x32
HOST_ARCHS_ppc64el = amd64 i386 x32
HOST_ARCHS_mips = amd64 i386 x32
HOST_ARCHS_mipsel = amd64 i386 x32
HOST_ARCHS_mips64 = amd64 i386 x32
HOST_ARCHS_mips64el = amd64 i386 x32

HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
stamp            := stamp-dir/

CROSS_ARCHES     ?= s390x ppc64el powerpc arm64 armhf armel # mips mipsel mips64 mips64el
ifeq ($(HOST_ARCH),arm64)
  CROSS_ARCHES = armel armhf
else ifeq ($(HOST_ARCH),ppc64el)
  CROSS_ARCHES = powerpc
endif
CROSS_ARCH       = $(subst .,,$(suffix $@))
KERNEL_ARCH      = $(KERNEL_ARCH_$(CROSS_ARCH))
CROSS_BIARCH     = $(CROSS_BIARCH_$(CROSS_ARCH))
_gnu_type        = $(shell dpkg-architecture -a$(1) -qDEB_HOST_GNU_TYPE -f)
CROSS_GNU_TYPE   = $(call _gnu_type,${CROSS_ARCH})
HOST_ARCHS       = $(HOST_ARCH_$(CROSS_ARCH))

ARM32_MULTILIBS :=
ifeq ($(vendor),ubuntu)
  ARM32_MULTILIBS := yes
endif

ifeq ($(vendor),debian)
  skip_dbg_packages = yes
  skip_arm32ml_packages = yes
endif

libgcc_source := $(shell apt-cache show --no-all-versions libgcc1-powerpc-cross | awk '/^Source:/ { print $$2 }')
ifneq ($(DEB_NAME_ACT),$(libgcc_source))
  skip_common_packages = yes
  GCC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),libgcc1-$(a)-cross [$(HOST_ARCHS_$(a))]$(,))
endif

BINUTILS_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),binutils-$(call _gnu_type,$(a)) (>= $(MIN_VER_BINUTILS)) [$(HOST_ARCHS_$(a))]$(,))
GLIBC_BUILD_DEPS = $(foreach a,$(CROSS_ARCHES),libc6-dev-$(a)-cross (>= $(MIN_VER_GLIBC)) [$(HOST_ARCHS_$(a))]$(,))

# build multilib cross compilers
ifeq ($(ARM32_MULTILIBS),yes)
  ifneq (,$(filter armel, $(CROSS_ARCHES)))
    EXTRA_BUILD_DEPS += libc6-dev-armhf-cross [$(HOST_ARCHS_armel)],
    ifeq ($(skip_common_packages),yes)
      GCC_BUILD_DEPS += libhfgcc1-armel-cross [$(HOST_ARCHS_armel)],
    endif
  endif

  ifneq (,$(filter armhf, $(CROSS_ARCHES)))
    ifeq ($(skip_common_packages),yes)
      GCC_BUILD_DEPS += libsfgcc1-armhf-cross [$(HOST_ARCHS_armhf)],
    endif
  endif
endif

ifneq (,$(filter s390x, $(CROSS_ARCHES)))
  EXTRA_BUILD_DEPS += libc6-dev-s390-s390x-cross [$(HOST_ARCHS_s390x)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-s390x-cross [$(HOST_ARCHS_s390x)],
  endif
endif

ifneq (,$(filter s390x, $(CROSS_ARCHES)))
  EXTRA_BUILD_DEPS += libc6-dev-s390-s390x-cross [$(HOST_ARCHS_s390x)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-s390x-cross [$(HOST_ARCHS_s390x)],
  endif
endif

ifneq (,$(filter powerpc, $(CROSS_ARCHES)))
  EXTRA_BUILD_DEPS += libc6-dev-ppc64-powerpc-cross [$(HOST_ARCHS_powerpc)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib64gcc1-powerpc-cross [$(HOST_ARCHS_powerpc)],
  endif
endif

ifneq (,$(filter mips, $(CROSS_ARCHES)))
  EXTRA_BUILD_DEPS += libc6-dev-mips64-mips-cross [$(HOST_ARCHS_mips)],
  EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips-cross [$(HOST_ARCHS_mips)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib64gcc1-mips-cross [$(HOST_ARCHS_mips)],
    GCC_BUILD_DEPS += libn32gcc1-mips-cross [$(HOST_ARCHS_mips)],
  endif
endif

ifneq (,$(filter mipsel, $(CROSS_ARCHES)))
  EXTRA_BUILD_DEPS += libc6-dev-mips64-mipsel-cross [$(HOST_ARCHS_mipsel)],
  EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mipsel-cross [$(HOST_ARCHS_mipsel)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib64gcc1-mipsel-cross [$(HOST_ARCHS_mipsel)],
    GCC_BUILD_DEPS += libn32gcc1-mipsel-cross [$(HOST_ARCHS_mipsel)],
  endif
endif

ifneq (,$(filter mips64, $(CROSS_ARCHES)))
  EXTRA_BUILD_DEPS += libc6-dev-mips32-mips64-cross [$(HOST_ARCHS_mips64)],
  EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips64-cross [$(HOST_ARCHS_mips64)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-mips64-cross [$(HOST_ARCHS_mips64)],
    GCC_BUILD_DEPS += libn32gcc1-mips64-cross [$(HOST_ARCHS_mips64)],
  endif
endif

ifneq (,$(filter mips64el, $(CROSS_ARCHES)))
  EXTRA_BUILD_DEPS += libc6-dev-mips32-mips64el-cross [$(HOST_ARCHS_mips64el)],
  EXTRA_BUILD_DEPS += libc6-dev-mipsn32-mips64el-cross [$(HOST_ARCHS_mips64el)],
  ifeq ($(skip_common_packages),yes)
    GCC_BUILD_DEPS += lib32gcc1-mips64el-cross [$(HOST_ARCHS_mips64el)],
    GCC_BUILD_DEPS += libn32gcc1-mips64el-cross [$(HOST_ARCHS_mips64el)],
  endif
endif

PHOBOS_ARCHS = amd64 i386 x32 armel armhf
PHOBOS_DEP = libphobos-GCC_VER-dev-CROSS_ARCH-cross (= $${gcc:Version}),

info:
	@echo "Package name:             ${DEB_NAME_ACT} ${DEB_VER_ACT}"
	@echo
	@echo "GCC ${GCC_VER} version:          ${VER_GCC}     	${DEB_VER_GCC}"
	@echo
	@echo "Target architecture:      ${CROSS_ARCH}"
	@echo "Target GNU type:          ${CROSS_GNU_TYPE}"
	@echo "Host architecture:        ${HOST_ARCH}"
	@echo "Host GNU type:            ${HOST_GNU_TYPE}"

$(stamp)init-gcc:
	@echo START $@
	mkdir -p gcc
	set -ex; \
	cd gcc ; \
	ln -sf ${GCC_DIR}/gcc-${VER_GCC}.tar.xz gcc-${VER_GCC}.tar.xz ;\
	cp -a  ${GCC_DIR}/debian/ . ; \
	if [ -n "$$(grep -v '^\#' ${CURDIR}/debian/patches/gcc-${GCC_VER}/series)" ]; then \
	  QUILT_PATCHES=${CURDIR}/debian/patches/gcc-${GCC_VER} quilt push --quiltrc /dev/null -a ; \
	fi
	touch $@

$(stamp)build-gcc.%: $(stamp)init-gcc
	@echo START $@
	echo ${CROSS_ARCH} >gcc/debian/target
	# cross build do not do docs so we do not have all build dependencies
	cd gcc && WITH_SYSROOT=/ PKG_IGNORE_CURRENTLY_BUILDING=1 BACKPORT=false dpkg-buildpackage $(dbp_flag) -uc -us -d
	touch $@

clean:
	rm -rf gcc tmp
	rm -f  *.*deb *.changes debian/files
	rm -rf $(stamp)
	mkdir $(stamp)
	dh_clean

define repack_debs
	umask 022; \
	cross_arch=$$(echo $1); \
	cross_gnu_type=$(call _gnu_type,$1); \
	for deb in $2; \
	do \
	    if [ "$(skip_dbg_packages)" = yes ]; then \
	      case $$deb in *-dbg*) continue; esac; \
	    fi; \
	    echo "repack $$deb ..."; \
	    rm -rf tmp/*; \
	    dpkg-deb -x $$deb tmp; \
	    dpkg-deb -e $$deb tmp/DEBIAN; \
	    pkgname=`echo $$deb | cut -d'_' -f1`; \
	    sed -i -e's/^Source:.*/Source: $(DEB_NAME_ACT) ($(DEB_SVER_ACT))/' \
	      -e "/^Depends:/s/$(DEB_VER_GCC)/$(DEB_VER_GCC)$(CROSS_EXT)/g" \
	      -e "/^Recommends:/s/$(DEB_VER_GCC)/$(DEB_VER_GCC)$(CROSS_EXT)/g" \
	      -e "/^Suggests:/s/$(DEB_VER_GCC)/$(DEB_VER_GCC)$(CROSS_EXT)/g" \
	      -e "/^Version:/s/$(DEB_VER_GCC)/$(DEB_VER_GCC)$(CROSS_EXT)/" \
	      tmp/DEBIAN/control ; \
