## gcc-5-cross 20ubuntu6

=== debian/changelog ===
gcc-5-cross (20ubuntu6) xenial; urgency=medium

  * Build using 5.3.1-14ubuntu2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Apr 2016 12:24:07 +0200

gcc-5-cross (20ubuntu5) xenial; urgency=medium

  * Build using 5.3.1-13ubuntu3.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 31 Mar 2016 23:10:05 +0200

gcc-5-cross (20ubuntu2) xenial; urgency=medium

  * Test build.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Feb 2016 10:26:54 +0100

gcc-5-cross (20ubuntu1) xenial; urgency=medium

  * Build using 5.3.1-5ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 15:48:35 +0100

gcc-5-cross (20) unstable; urgency=medium

  * Build using 5.3.1-8.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Feb 2016 09:12:08 +0100

gcc-5-cross (19) unstable; urgency=medium

  * Build using 5.3.1-7.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Jan 2016 14:44:58 +0100

gcc-5-cross (18ubuntu1) xenial; urgency=medium

  * Build using 5.3.1-5ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Jan 2016 11:37:40 +0100

gcc-5-cross (18) unstable; urgency=medium

  * Build using 5.3.1-5.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jan 2016 18:31:56 +0100

gcc-5-cross (17) unstable; urgency=medium

  * Build using 5.3.1-4.
  * Re-enable building libasan for sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 20 Dec 2015 21:36:44 +0100

gcc-5-cross (16) unstable; urgency=medium

  * Build using 5.3.1-2.
  * Disable building libasan for sparc64.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2015 20:53:25 +0100

gcc-5-cross (15ubuntu1) xenial; urgency=medium

  * Build using 5.2.1-26ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Nov 2015 15:02:39 +0100

gcc-5-cross (15) unstable; urgency=medium

  * Build using 5.2.1-26.
  * Build libphobos cross packages.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Nov 2015 23:13:11 +0100

gcc-5-cross (14ubuntu4) xenial; urgency=medium

  * Fix building epoch'ed packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Nov 2015 00:27:22 +0100

gcc-5-cross (14ubuntu3) xenial; urgency=medium

  * Build using 5.2.1-24ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Nov 2015 18:33:56 +0100

gcc-5-cross (14) unstable; urgency=medium

  * Build using 5.2.1-24.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Nov 2015 17:08:27 +0100

gcc-5-cross (13) unstable; urgency=medium

  * Build using 5.2.1-23.
  * Fix build dependency on gnat-5.

 -- Matthias Klose <doko@debian.org>  Thu, 29 Oct 2015 23:26:28 +0100
