=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: gcc-5-cross
 Section: devel
 Priority: extra
-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
-Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
+Uploaders: Matthias Klose <doko@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: gcc-5-source (>= 5.2.1-22~), binutils-multiarch (>= 2.25.1),
+Build-Depends: gcc-5-source (>= 5.3.1-14ubuntu2~), binutils-multiarch (>= 2.25.90),
   autoconf2.64, autogen, bison (>= 1:2.3),
   chrpath, debhelper (>= 5.0.62), dpkg-dev (>= 1.14.15), flex, gawk, gettext,
   gperf (>= 3.0.1), 
-  binutils-s390x-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-powerpc64le-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-powerpc-linux-gnu (>= 2.25.1) [amd64 i386 x32 ppc64el], binutils-aarch64-linux-gnu (>= 2.25.1) [amd64 i386 x32], binutils-arm-linux-gnueabihf (>= 2.25.1) [amd64 i386 x32 arm64], binutils-arm-linux-gnueabi (>= 2.25.1) [amd64 i386 x32 arm64],
-  libc6-dev-s390x-cross (>= 2.19) [amd64 i386 x32], libc6-dev-ppc64el-cross (>= 2.19) [amd64 i386 x32], libc6-dev-powerpc-cross (>= 2.19) [amd64 i386 x32 ppc64el], libc6-dev-arm64-cross (>= 2.19) [amd64 i386 x32], libc6-dev-armhf-cross (>= 2.19) [amd64 i386 x32 arm64], libc6-dev-armel-cross (>= 2.19) [amd64 i386 x32 arm64], libc6-dev-armhf-cross [amd64 i386 x32 arm64], libc6-dev-s390-s390x-cross [amd64 i386 x32], libc6-dev-s390-s390x-cross [amd64 i386 x32], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
+  binutils-s390x-linux-gnu (>= 2.25.90) [amd64 i386 x32], binutils-powerpc64le-linux-gnu (>= 2.25.90) [amd64 i386 x32 ppc64], binutils-powerpc-linux-gnu (>= 2.25.90) [amd64 i386 x32 ppc64el], binutils-aarch64-linux-gnu (>= 2.25.90) [amd64 i386 x32], binutils-arm-linux-gnueabihf (>= 2.25.90) [amd64 i386 x32 arm64], binutils-arm-linux-gnueabi (>= 2.25.90) [amd64 i386 x32 arm64],
+  libc6-dev-s390x-cross (>= 2.21) [amd64 i386 x32], libc6-dev-ppc64el-cross (>= 2.21) [amd64 i386 x32 ppc64], libc6-dev-powerpc-cross (>= 2.21) [amd64 i386 x32 ppc64el], libc6-dev-arm64-cross (>= 2.21) [amd64 i386 x32], libc6-dev-armhf-cross (>= 2.21) [amd64 i386 x32 arm64], libc6-dev-armel-cross (>= 2.21) [amd64 i386 x32 arm64], libc6-dev-armhf-cross [amd64 i386 x32 arm64], libc6-dev-s390-s390x-cross [amd64 i386 x32], libc6-dev-ppc64-powerpc-cross [amd64 i386 x32 ppc64el],
   libisl-dev (>= 0.14-1~), libmpc-dev,
   libmpfr-dev (>= 2.3.0), libtool, lsb-release, m4, make (>= 3.81),
   patchutils, procps, quilt, realpath (>= 1.9.12), sharutils, texinfo (>= 4.3),
   gcj-5-jdk,
   gccgo-5,
-  gnat-5,
+  gnat-5 [!m32r !sh3 !sh3eb !sh4eb !powerpcspe !x32],
   xz-utils, zlib1g-dev, python3
 Build-Conflicts: gcc-multilib,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
